Sign Envelope
const url = 'https://enclave.subnoto.com/public/envelope/sign';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"workspaceUuid":"example","envelopeUuid":"example","recipientEmail":"[email protected]","signatureImage":"example","inputValues":{"additionalProperty":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://enclave.subnoto.com/public/envelope/sign \ --header 'Content-Type: application/json' \ --data '{ "workspaceUuid": "example", "envelopeUuid": "example", "recipientEmail": "[email protected]", "signatureImage": "example", "inputValues": { "additionalProperty": "example" } }'Sign a document in an envelope as a recipient.
Request Body required
Section titled “Request Body required ”object
Optional. When omitted, the team’s default workspace is used.
The UUID of the envelope containing the document to sign.
The email of the recipient who is signing. Must match the API key owner’s email.
Base64 encoded signature image to be merged with the watermark.
Example generated
{ "workspaceUuid": "example", "envelopeUuid": "example", "signatureImage": "example", "inputValues": { "additionalProperty": "example" }}Responses
Section titled “ Responses ”Default Response
object
Whether the document was successfully signed.
The UUID of the signed document.
The version number of the signed document revision.
Example generated
{ "success": true, "documentUuid": "example", "revisionVersion": 1}Default Response
object
HTTP status code
object
The error code
The error message
A suggestion to resolve the error
A URL to the documentation
Optional validation details (e.g. for INVALID_REQUEST_FORMAT)
Single validation issue (e.g. from request body schema)
object
JSON path to the invalid field
Validation error message for this field
The unique identifier of the request
The timestamp of the response
The path of the request
Example
{ "error": { "code": "WORKSPACE_NOT_FOUND" }}Default Response
object
HTTP status code
object
The error code
The error message
A suggestion to resolve the error
A URL to the documentation
Optional validation details (e.g. for INVALID_REQUEST_FORMAT)
Single validation issue (e.g. from request body schema)
object
JSON path to the invalid field
Validation error message for this field
The unique identifier of the request
The timestamp of the response
The path of the request
Example
{ "error": { "code": "AUTHENTICATION_ERROR" }}Default Response
object
HTTP status code
object
The error code
The error message
A suggestion to resolve the error
A URL to the documentation
Optional validation details (e.g. for INVALID_REQUEST_FORMAT)
Single validation issue (e.g. from request body schema)
object
JSON path to the invalid field
Validation error message for this field
The unique identifier of the request
The timestamp of the response
The path of the request
Example
{ "error": { "code": "AUTHORIZATION_ERROR" }}Default Response
object
HTTP status code
object
The error code
The error message
A suggestion to resolve the error
A URL to the documentation
Optional validation details (e.g. for INVALID_REQUEST_FORMAT)
Single validation issue (e.g. from request body schema)
object
JSON path to the invalid field
Validation error message for this field
The unique identifier of the request
The timestamp of the response
The path of the request
Example
{ "error": { "code": "INTERNAL_SERVER_ERROR" }}